net.fortuna.ical4j.model.property

## Class Status

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Status

All Implemented Interfaces:
  Serializable

    public class Status
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a STATUS iCalendar component property.

         4.8.1.11 Status

            Property Name: STATUS

            Purpose: This property defines the overall status or confirmation for
            the calendar component.

            Value Type: TEXT

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property can be specified in "VEVENT", "VTODO" or
            "VJOURNAL" calendar components.

            Description: In a group scheduled calendar component, the property is
            used by the "Organizer" to provide a confirmation of the event to the
            "Attendees". For example in a "VEVENT" calendar component, the
            "Organizer" can indicate that a meeting is tentative, confirmed or
            cancelled. In a "VTODO" calendar component, the "Organizer" can
            indicate that an action item needs action, is completed, is in
            process or being worked on, or has been cancelled. In a "VJOURNAL"
            calendar component, the "Organizer" can indicate that a journal entry
            is draft, final or has been cancelled or removed.

            Format Definition: The property is defined by the following notation:

              status     = "STATUS" statparam] ":" statvalue CRLF

              statparam  = *(";" xparam)

              statvalue  = "TENTATIVE"           ;Indicates event is
                                                 ;tentative.
                         / "CONFIRMED"           ;Indicates event is
                                                 ;definite.
                         / "CANCELLED"           ;Indicates event was
                                                 ;cancelled.
                 ;Status values for a "VEVENT"

              statvalue  =/ "NEEDS-ACTION"       ;Indicates to-do needs action.
                         / "COMPLETED"           ;Indicates to-do completed.
                         / "IN-PROCESS"          ;Indicates to-do in process of
                         / "CANCELLED"           ;Indicates to-do was cancelled.
                 ;Status values for "VTODO".

              statvalue  =/ "DRAFT"              ;Indicates journal is draft.
                         / "FINAL"               ;Indicates journal is final.
                         / "CANCELLED"           ;Indicates journal is removed.
                 ;Status values for "VJOURNAL".

            Example: The following is an example of this property for a "VEVENT"
            calendar component:

              STATUS:TENTATIVE

            The following is an example of this property for a "VTODO" calendar
            component:

              STATUS:NEEDS-ACTION

            The following is an example of this property for a "VJOURNAL"
            calendar component:

              STATUS:DRAFT

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static Status` `VEVENT_CANCELLED` Cancelled VEVENT status.
`static Status` `VEVENT_CONFIRMED` Confirmed VEVENT status.
`static Status` `VEVENT_TENTATIVE` Tentative VEVENT status.
`static Status` `VJOURNAL_CANCELLED` Cancelled VJOURNAL status.
`static Status` `VJOURNAL_DRAFT` Draft VJOURNAL status.
`static Status` `VJOURNAL_FINAL` Final VJOURNAL status.
`static Status` `VTODO_CANCELLED` Cancelled VTODO status.
`static Status` `VTODO_COMPLETED` Completed VTODO status.
`static Status` `VTODO_IN_PROCESS` In-process VTODO status.
`static Status` `VTODO_NEEDS_ACTION` Tentative VTODO status.

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Status()` Default constructor.
`Status(ParameterList aList, String aValue)`
`Status(String aValue)`

### Method Summary

Methods
`String` `getValue()`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### VEVENT_TENTATIVE

    public static final Status VEVENT_TENTATIVE

Tentative VEVENT status.

#### VEVENT_CONFIRMED

    public static final Status VEVENT_CONFIRMED

Confirmed VEVENT status.

#### VEVENT_CANCELLED

    public static final Status VEVENT_CANCELLED

Cancelled VEVENT status.

#### VTODO_NEEDS_ACTION

    public static final Status VTODO_NEEDS_ACTION

Tentative VTODO status.

#### VTODO_COMPLETED

    public static final Status VTODO_COMPLETED

Completed VTODO status.

#### VTODO_IN_PROCESS

    public static final Status VTODO_IN_PROCESS

In-process VTODO status.

#### VTODO_CANCELLED

    public static final Status VTODO_CANCELLED

Cancelled VTODO status.

#### VJOURNAL_DRAFT

    public static final Status VJOURNAL_DRAFT

Draft VJOURNAL status.

#### VJOURNAL_FINAL

    public static final Status VJOURNAL_FINAL

Final VJOURNAL status.

#### VJOURNAL_CANCELLED

    public static final Status VJOURNAL_CANCELLED

Cancelled VJOURNAL status.

### Constructor Detail

#### Status

    public Status()

Default constructor.

#### Status

    public Status(String aValue)

Parameters:
  `aValue` - a value string for this component

#### Status

    public Status(ParameterList aList,
          String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

### Method Detail

#### setValue

    public void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state